Page MenuHomePhabricator

Page Previews Storybook not available on doc.wikimedia.org and documentation a bit broken
Closed, ResolvedPublic

Description

Just as we do for MobileFrontend, we should publish our page previews storybook so @alexhollender and @Volker_E can at a glance review Page previews designs. It would also be useful for onboarding new volunteers/team members.

Looking at https://doc.wikimedia.org/Popups/master/js/js/

  • I'm missing Page Previews Storybook that was part one of first storybooks written there
  • an image is missing on that page

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterStorybook: Images should be relative uris
mediawiki/extensions/Popups : masterStorybook: Copy over static files
mediawiki/extensions/Popups : masterUse local files for storybook
mediawiki/extensions/Popups : masterPublish storybook now we are using more modern node

Event Timeline

Volker_E created this task.Oct 26 2019, 4:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 4:00 AM

Change 534498 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Publish storybook now we are using more modern node

https://gerrit.wikimedia.org/r/534498

Jdlrobson moved this task from Incoming to Needs Prioritization on the Readers-Web-Backlog board.
Jdlrobson triaged this task as Medium priority.Oct 30 2019, 5:00 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: alexhollender.

Since there's already a patch up for this task (thank you @Jdlrobson!) I think this can be estimated and moved to the code-review column.

Let's be wary of process and estimate before jumping into code review.

Possibly blocked on T213223

Jdlrobson removed ovasileva as the assignee of this task.Dec 11 2019, 11:35 PM
Jdlrobson added a subscriber: ovasileva.

This is unblocked now and we can review at our leisure.

Change 534498 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Publish storybook now we are using more modern node

https://gerrit.wikimedia.org/r/534498

A storybook is born - https://doc.wikimedia.org/Popups/master/js/ui/?path=/story/thumbnails--landscape-thin-thumbnail

Images are not displaying there but I think T213223#5734249 is the appropriate place to talk through that.

Change 556772 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Use local files for storybook

https://gerrit.wikimedia.org/r/556772

Change 556772 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Use local files for storybook

https://gerrit.wikimedia.org/r/556772

Change 556813 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Storybook: Copy over static files

https://gerrit.wikimedia.org/r/556813

Change 556813 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Storybook: Copy over static files

https://gerrit.wikimedia.org/r/556813

Change 556824 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Popups@master] Storybook: Images should be relative uris

https://gerrit.wikimedia.org/r/556824

Change 556824 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Storybook: Images should be relative uris

https://gerrit.wikimedia.org/r/556824

Volker can you check out the docs and if you can't find any issues please resolve this task? Thanks!

Volker_E closed this task as Resolved.Dec 19 2019, 1:39 AM
Volker_E reassigned this task from Volker_E to Jdlrobson.

Looks and works like a charme now. Storybook for the win.